[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#250192: ITP: libv4l2++ -- C++ V4L2 API wrapper

Package: wnpp
Severity: wishlist

* Package name    : libv4l2++
  Version         : 0.1.0
  Upstream Author : martin f. krafft <krafft@ailab.ch>
* URL             : http://cvs.ailab.ch/cgi-bin/viewcvs.cgi/libv4l2%2B%2B/
* License         : Artistic
  Description     : C++ V4L2 API wrapper

libv4l2++ is an open wrapper hierarchy to the V4L2 API, written in
C++. It abstracts the complexity of the API into classes of
different complexity levels. You can either instantiate devices over
which you have full control, or you can create "simple" devices,
which hide much of the details but allow you to do the important

It's in alpha stage, there is no documentation, and it's not
well-tested yet. But it's under continuing development. So far, only
capturing has been implemented. I am searching for parties
interested in coding VBI, output, and overlay.

Packages will be here in a while:


-- System Information:
Debian Release: testing/unstable
  APT prefers testing
  APT policy: (600, 'testing'), (98, 'unstable')
Architecture: i386 (i686)
Kernel: Linux 2.6.4-piper
Locale: LANG=en_GB.ISO-8859-15, LC_CTYPE=de_DE.ISO-8859-15

Please do not CC me when replying to lists; I read them!
 .''`.     martin f. krafft <madduck@debian.org>
: :'  :    proud Debian developer, admin, and user
`. `'`
  `-  Debian - when you have better things to do than fixing a system
Invalid/expired PGP subkeys? Use subkeys.pgp.net as keyserver!

Attachment: signature.asc
Description: Digital signature

Reply to: